## org.apache.mahout.vectorizer
Class DefaultAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.standard.StandardAnalyzer
              org.apache.mahout.vectorizer.DefaultAnalyzer

All Implemented Interfaces:
  java.io.Closeable

    public class DefaultAnalyzer

extends org.apache.lucene.analysis.standard.StandardAnalyzer

A subclass of the Lucene StandardAnalyzer that provides a no-argument constructor. Used as the default analyzer in many cases where an analyzer is instantiated by class name by calling a no-arg constructor.

Field Summary

Fields inherited from class org.apache.lucene.analysis.standard.StandardAnalyzer
`DEFAULT_MAX_TOKEN_LENGTH, STOP_WORDS_SET`

Fields inherited from class org.apache.lucene.analysis.Analyzer
`overridesTokenStreamMethod`

Constructor Summary
`DefaultAnalyzer()`

Method Summary

Methods inherited from class org.apache.lucene.analysis.standard.StandardAnalyzer
`getMaxTokenLength, reusableTokenStream, setMaxTokenLength, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAnalyzer

    public DefaultAnalyzer()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.